GET
/distributed_jobs/sfs/{SFS_Id}/notebooks/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs/sfs/{SFS_Id}/notebooks/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs/sfs/{SFS_Id}/notebooks/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs/sfs/{SFS_Id}/notebooks/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”SFS_Id
required
integer
SFS ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
location
required
string
Location
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
project_id
integer
image_type
string
image_details
object
image_id
integer
version_id
integer
name
string
version
string
icon_url
string
image_description
string
version_description
string
sku_details
object
specs
object
sku_id
integer
name
string
series
string
cpu
integer
gpu
integer
memory
integer
ephemeral_storage
integer
gpu_memory
integer
is_free
boolean
is_active
boolean
gpu_switch_type
string
local_storage_in_gb
integer
plan
object
sku_item_price_id
integer
sku_type
string
committed_days
integer
unit_price
number
currency
string
is_active
boolean
description
string
status
string
last_activity
string format: date-time
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
lab_url
string
disk_size_in_gb
integer
instance_type
string
ssh_keys
Array<string>
disable_ssh_login_password
boolean
public_ip
string
e2e_registry_image_url
string
egress_gateway_ip
string
add_ons
object
key
additional properties
is_jupyterlab_enabled
boolean
is_ssh_enabled
boolean
custom_ports
Array<string>
private_cloud_id
string
custom_sku
string
init_scripts
Array<string>
is_spot_instance
boolean
custom_image_version
string
is_mounted
boolean
sfs_path
string
errors
object
message
string
total_page_number
integer
total_count
integer
Example
{ "code": 200, "data": [ { "id": 7407, "name": "node-022118463030", "project_id": 4526, "image_type": "pre-built", "image_details": { "image_id": 9, "version_id": 56, "name": "Transformers", "version": "v4.45.2", "icon_url": "/notebook_images/hf-logo.png", "image_description": "Transformers v4.31.0 with Python 3.10 and NVIDIA Cuda 12.1 pre-installed on Ubuntu 22.04", "version_description": "Transformers v4.45.2 with Python 3.10 and NVIDIA Cuda 12.4 pre-installed on Ubuntu 22.04" }, "sku_details": { "specs": { "sku_id": 4, "name": "C3.8GB", "series": "CPU", "cpu": 4, "gpu": 0, "memory": 8, "ephemeral_storage": 50, "gpu_memory": 0, "is_free": false, "is_active": true, "gpu_switch_type": null, "local_storage_in_gb": 0 }, "plan": { "sku_item_price_id": 4, "sku_type": "hourly", "committed_days": 0, "unit_price": 3.1, "currency": "INR", "is_active": true, "description": null } }, "status": "ready", "last_activity": "2025-02-21T13:16:44Z", "created_by": { "id": 4875, "name": "Tester", "email": "test.test@e2enetworks.com", "username": "test.test@e2enetworks.com" }, "created_at": "2025-02-21T13:16:44.020823Z", "updated_at": "2025-02-21T13:16:45.565414Z", "lab_url": "https://notebooks.e2enetworks.com/notebook/p-4526/n-f069bcc9-c9dc-4784-8a97-9d4f45d4e0/lab", "disk_size_in_gb": 30, "instance_type": "paid_usage", "ssh_keys": [], "disable_ssh_login_password": true, "public_ip": "", "e2e_registry_image_url": null, "egress_gateway_ip": "", "is_jupyterlab_enabled": true, "is_ssh_enabled": false, "custom_ports": [], "private_cloud_id": null, "custom_sku": null, "init_scripts": [], "is_spot_instance": false, "custom_image_version": "", "is_mounted": false, "sfs_path": null } ], "errors": {}, "message": "Success", "total_page_number": 1, "total_count": 1}